Bug 103817 - New port: p5-Business-PayPal
Summary: New port: p5-Business-PayPal
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-29 20:00 UTC by Steven Kreuzer
Modified: 2006-10-06 02:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Kreuzer 2006-09-29 20:00:33 UTC
Business::PayPal is a perl module that provides an interface to PayPal's transaction system.

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/usr/ports/www/p5-Business-PayPal/
#	/usr/ports/www/p5-Business-PayPal/Makefile
#	/usr/ports/www/p5-Business-PayPal/pkg-descr
#	/usr/ports/www/p5-Business-PayPal/pkg-plist
#	/usr/ports/www/p5-Business-PayPal/distinfo
#
echo c - /usr/ports/www/p5-Business-PayPal/
mkdir -p /usr/ports/www/p5-Business-PayPal/ > /dev/null 2>&1
echo x - /usr/ports/www/p5-Business-PayPal/Makefile
sed 's/^X//' >/usr/ports/www/p5-Business-PayPal/Makefile << 'END-of-/usr/ports/www/p5-Business-PayPal/Makefile'
X# New ports collection makefile for:   p5-Business-PayPal
X# Date created:                        Fri 29 Sep 2006
X# Whom:                                Steven Kreuzer
X#
X#
X# $FreeBSD$
X#
X
XPORTNAME=	Business-PayPal
XPORTVERSION=	0.02
XCATEGORIES=	www perl5
XMASTER_SITES=	${MASTER_SITE_PERL_CPAN}
XMASTER_SITE_SUBDIR=	Business
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER= skreuzer@f2o.org
XCOMMENT= Perl extension for automating PayPal transactions
X
XBUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Net/SSLeay.pm:${PORTSDIR}/security/p5-Net-SSLeay \
X		${SITE_PERL}/Digest/MD5.pm:${PORTSDIR}/security/p5-Digest-MD5 \
X		${SITE_PERL}/CGI.pm:${PORTSDIR}/www/p5-CGI.pm
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XPERL_CONFIGURE=	yes
X
X.include <bsd.port.pre.mk>
X
X.if ${PERL_LEVEL} < 500600
XIGNORE= requires at least Perl 5.6 due to dependencies.  Please install lang/perl5.8 and try again
X.endif
X
X.include <bsd.port.post.mk>
END-of-/usr/ports/www/p5-Business-PayPal/Makefile
echo x - /usr/ports/www/p5-Business-PayPal/pkg-descr
sed 's/^X//' >/usr/ports/www/p5-Business-PayPal/pkg-descr << 'END-of-/usr/ports/www/p5-Business-PayPal/pkg-descr'
XThis module offers an interface to PayPal's transaction system.
END-of-/usr/ports/www/p5-Business-PayPal/pkg-descr
echo x - /usr/ports/www/p5-Business-PayPal/pkg-plist
sed 's/^X//' >/usr/ports/www/p5-Business-PayPal/pkg-plist << 'END-of-/usr/ports/www/p5-Business-PayPal/pkg-plist'
X%%SITE_PERL%%/Business/PayPal.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/Business/PayPal/.packlist
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Business/PayPal
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Business
Comment 1 Alejandro Pulver freebsd_committer 2006-10-06 00:47:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

Take PR.
Comment 2 Alejandro Pulver freebsd_committer 2006-10-06 02:01:28 UTC
State Changed
From-To: open->closed

New port added with a few modifications, thanks!
Comment 3 dfilter service freebsd_committer 2006-10-06 02:03:52 UTC
alepulver    2006-10-06 01:03:46 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/p5-Business-PayPal Makefile distinfo pkg-descr pkg-plist 
  Log:
  This module offers an interface to PayPal's transaction system.
  
  PR:             ports/103817
  Submitted by:   Steven Kreuzer
  
  Revision  Changes    Path
  1.1582    +1 -0      ports/www/Makefile
  1.1       +33 -0     ports/www/p5-Business-PayPal/Makefile (new)
  1.1       +3 -0      ports/www/p5-Business-PayPal/distinfo (new)
  1.1       +1 -0      ports/www/p5-Business-PayPal/pkg-descr (new)
  1.1       +6 -0      ports/www/p5-Business-PayPal/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"